MWAWGraphicShape.cxx File Reference
`#include <string.h>`
`#include <algorithm>`
`#include <cmath>`
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <sstream>`
`#include <string>`
`#include <utility>`
`#include <librevenge/librevenge.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWGraphicEncoder.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWGraphicShape.hxx"`

## Functions

std::ostream & | operator<< (std::ostream &o, MWAWGraphicShape::PathData const &path)
std::ostream & | operator<< (std::ostream &o, MWAWGraphicShape const &sh)

## Function Documentation

## operator<<() [1/2]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWGraphicShape const & | sh )

## operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWGraphicShape::PathData const & | path )